{% extends 'base.html.twig' %}

{% block title %}Log in{% endblock %}

{% block body %}
<form method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
        </div>
    {% endif %}

    
        <h1 class="h3 mb-3 font-weight-normal">Connexion à l'iterface administrateur</h1>
        
        <div class="login">
            <div class="loginContent">
                <div class="loginField">
                    <label for="inputEmail">Email</label>
                    <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus>
                </div>
                
                <div class="loginField">
                    <label for="inputPassword">Password</label>
                    <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>
                </div>
                

                <input type="hidden" name="_csrf_token"
                    value="{{ csrf_token('authenticate') }}"
                >
                
                <div class="loginField">
                    <button class="loginButton" type="submit">
                        connexion
                    </button>
                </div>
            </div>
        </div>
</form>

{% endblock %}
